%define backuppc_uid 65417
%define backuppc_gid 65417
%define        servercgidir     %(apxs -q cgidir 2>/dev/null)
%define        serverhtdocsdir     %(apxs -q htdocsdir 2>/dev/null)

Name:          BackupPC
Version:       4.4.0
Release:       1mamba
Summary:       A system for backing up Linux, WinXX PCs, Macs and laptops to a server's disk
Group:         System/Management
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://backuppc.sourceforge.net/
Source:        http://downloads.sourceforge.net/sourceforge/backuppc/BackupPC-%{version}.tar.gz
Source1:       backuppc.tmpfiles
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-BackupPC-XS
BuildRequires: perl-File-Listing
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl-BackupPC-XS
Requires:      httpd
Requires:      perl-BackupPC-XS
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
BackupPC is a high-performance, enterprise-grade backup system for backing up Linux, WinXX PCs, Macs and laptops to a server's disk. Features include clever pooling of identical files, no client-side software, and a powerful Apache/CGI user interface.

%prep
%setup -q

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
perl configure.pl \
   --batch \
   --cgi-dir=%servercgidir \
   --html-dir=%serverhtdocsdir/BackupPC \
   --html-dir-url=/BackupPC \
   --backuppc-user=backuppc \
   --install-dir %{_datadir}/backuppc \
   --dest-dir %{buildroot} \
   --data-dir /var/lib/backuppc \
   --no-set-perms \
   --run-dir /run/BackupPC \
   --uid-ignore

install -D -m0644 systemd/backuppc.service %{buildroot}%{_unitdir}/backuppc.service
install -D -m0644 %{SOURCE1} %{buildroot}%{_tmpfilesdir}/backuppc.conf

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%pre
if [ $1 -ge 1 ]; then
   /usr/sbin/groupadd backuppc -g %{backuppc_gid} 2>/dev/null
   /usr/sbin/useradd -u %{backuppc_uid} -c 'BackupPC user' -d /var/lib/backuppc -g backuppc -s /bin/false backuppc 2>/dev/null                                                                                                           
fi   
%tmpfiles_create_package backuppc %{SOURCE1}
:

%post
%systemd_post backuppc
:

%preun
%systemd_preun backuppc
if [ $1 -eq 0 ]; then
   /usr/sbin/userdel backuppc 2>/dev/null
   /usr/sbin/groupdel backuppc 2>/dev/null
fi
:

%postun
%systemd_postun_with_restart backuppc
:

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/BackupPC
%config(noreplace) %{_sysconfdir}/BackupPC/config.pl
%config(noreplace) %{_sysconfdir}/BackupPC/hosts
%{_sysconfdir}/BackupPC/config.pl.sample
%{_sysconfdir}/BackupPC/hosts.sample
%{_unitdir}/backuppc.service
%{_tmpfilesdir}/backuppc.conf
%attr(-,backuppc,nobody) %{servercgidir}/BackupPC_Admin
%attr(-,backuppc,nobody) %{serverhtdocsdir}/BackupPC
%attr(-,backuppc,backuppc) %{_datadir}/backuppc
%dir /var/lib/backuppc
%doc LICENSE
#%doc ChangeLog README

%changelog
* Fri Feb 19 2021 Automatic Build System <autodist@mambasoft.it> 4.4.0-1mamba
- automatic version update by autodist

* Mon Apr 22 2013 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Sun Aug 08 2010 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic update by autodist

* Thu Feb 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-2mamba
- rebuilt to eliminate executable requirements

* Tue Apr 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.1.0-1mamba
- package created by autospec
